package jp.agentec.adf.util;

import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

import java.util.Date;

import jp.agentec.adf.util.DateTimeFormat;
import jp.agentec.adf.util.DateTimeUtil;
import jp.agentec.adf.util.DateTimeUtil.DateUnit;

import org.junit.Test;

public class DateTimeUtilTest {

	@Test
	public void testGetCurrentTimestamp() {
		fail("Not yet implemented");
	}

	@Test
	public void testGetCurrentDate() {
		fail("Not yet implemented");
	}

	@Test
	public void testGetCurrentSqlDate() {
		System.out.println(DateTimeUtil.getCurrentSqlDate());
	}

	@Test
	public void testToTimestamp() {
		fail("Not yet implemented");
	}

	@Test
	public void testToDate() {
		fail("Not yet implemented");
	}

	@Test
	public void testToSqlDate() {
		fail("Not yet implemented");
	}

	@Test
	public void testToStringDateString() {
		fail("Not yet implemented");
	}

	@Test
	public void testToSqlString() {
		System.out.println(DateTimeUtil.getCurrentDate());
		System.out.println(DateTimeUtil.toString(DateTimeUtil.getCurrentDate(), DateTimeFormat.yyyyMMddHHmmssSSS_hyphen));
		System.out.println(DateTimeUtil.getCurrentSqlDate());
		System.out.println(DateTimeUtil.toString(DateTimeUtil.getCurrentSqlDate(), DateTimeFormat.yyyyMMddHHmmssSSS_hyphen));
	}

	@Test
	public void testTimeLagToInt() {
		fail("Not yet implemented");
	}

	@Test
	public void testSqlTimeLagToInt() {
		fail("Not yet implemented");
	}

	@Test
	public void testTimeLagToLong() {
		fail("Not yet implemented");
	}

	@Test
	public void testSqlTimeLagToLong() {
		fail("Not yet implemented");
	}

	@Test
	public void testDateToSqlDate() {
		java.util.Date dt = DateTimeUtil.getCurrentDate();
		System.out.println(dt);
		System.out.println(DateTimeUtil.dateToSqlDate(dt));
	}

	@Test
	public void testSqlDateToDate() {
		fail("Not yet implemented");
	}

	@Test
	public void testAdd() {
		Date dt = DateTimeUtil.getCurrentDate();
		System.out.println(DateTimeUtil.toString(dt, DateTimeFormat.HHmmssSSS_colon));
		dt = DateTimeUtil.add(dt, DateUnit.Millisecond, 150);
		System.out.println(DateTimeUtil.toString(dt, DateTimeFormat.HHmmssSSS_colon));
		assertTrue(true);
	}
}
